%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		xfwm4
Version: 	4.14.0
Release:	%mkrel 1
Summary:	Window manager for Xfce desktop environment
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/xfce/xfwm4/
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4kbd-private-2)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(xpresent)
# Drop unmaintained ia_ora xfwm4 theme
Obsoletes:	ia_ora-xfce < 1.0.2-10

%description
The Xfce 4 window manager manages the placement of application
windows on the screen, provides beautiful window decorations,
manages workspaces or virtual desktops, and natively supports
multiscreen mode. It provides its own compositing manager (
from the Xorg Composite extension) for true transparency and shadows.
The Xfce 4 window manager includes a keyboard shorcuts editor for user
specific commands and basic windows manipulations, and it provides a
dialog for advanced tweaks.

%prep
%autosetup -p1 -S git_am

%build
%configure2_5x \
	--enable-compositor \
	--enable-xsync \
	--enable-render \
	--enable-randr \
	--enable-startup-notification \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc example.gtkrc-2.0 AUTHORS COMPOSITOR README TODO
%{_bindir}/xfwm4*
%dir %{_libdir}/xfce4/xfwm4/
%{_libdir}/xfce4/xfwm4/helper-dialog
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/actions/*
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/xfwm4/
%{_datadir}/xfwm4/


%changelog
* Mon Aug 19 2019 wally <wally> 4.14.0-1.mga7
+ Revision: 1430280
- new version 4.14.0

* Sat May 18 2019 wally <wally> 4.13.2-1.mga7
+ Revision: 1398313
- new version 4.13.2
- drop patches from upstream

* Sun May 12 2019 wally <wally> 4.13.1-5.mga7
+ Revision: 1397418
- own theme dirs

* Tue Apr 30 2019 wally <wally> 4.13.1-4.mga7
+ Revision: 1395941
- add upstream fixes
  - clients: allow transients to be minimized (xfce#14953)

* Sun Sep 23 2018 umeabot <umeabot> 4.13.1-3.mga7
+ Revision: 1301904
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 wally <wally> 4.13.1-2.mga7
+ Revision: 1245859
- build with Xpresent

* Sun Jul 29 2018 wally <wally> 4.13.1-1.mga7
+ Revision: 1245842
- new version 4.13.1
- drop unneeded patches

* Sat Sep 30 2017 wally <wally> 4.13.0-1.mga7
+ Revision: 1161918
- new version 4.13.0

* Sat Mar 18 2017 wally <wally> 4.12.4-1.mga6
+ Revision: 1093517
- new version 4.12.4

* Wed Feb 17 2016 umeabot <umeabot> 4.12.3-2.mga6
+ Revision: 963605
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 wally <wally> 4.12.3-1.mga6
+ Revision: 836230
- new version 4.12.3

* Mon Mar 16 2015 wally <wally> 4.12.2-1.mga5
+ Revision: 818653
- new version 4.12.2

* Sun Mar 15 2015 tmb <tmb> 4.12.1-2.mga5
+ Revision: 818633
- rebuild for missing signatures

* Sun Mar 15 2015 wally <wally> 4.12.1-1.mga5
+ Revision: 818578
- new version 4.12.1

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817401
- new version 4.12.0

* Mon Feb 16 2015 wally <wally> 4.11.2-5.mga5
+ Revision: 815121
- add patch to fix usage of deprecated gtk stock icons

* Wed Oct 15 2014 umeabot <umeabot> 4.11.2-4.mga5
+ Revision: 739853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.2-3.mga5
+ Revision: 690655
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 wally <wally> 4.11.2-2.mga5
+ Revision: 662484
- obsolete ia_ora-xfce
- drop oxygen remains from .spec

* Sat Jul 26 2014 wally <wally> 4.11.2-1.mga5
+ Revision: 656574
- new version 4.11.2
- drop patches from upstream

* Fri Apr 18 2014 wally <wally> 4.11.1-2.mga5
+ Revision: 616134
- add patch from upstream git to restore original window size after untiling (xfce#8765)

* Tue Feb 04 2014 wally <wally> 4.11.1-1.mga5
+ Revision: 581070
- new version 4.11.1

* Sat Oct 19 2013 umeabot <umeabot> 4.11.0-2.mga4
+ Revision: 536713
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 4.11.0-1.mga4
+ Revision: 485365
- new version 4.11.0

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425071
- new version 4.10.1
- drop patches from upstream

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-5.mga3
+ Revision: 386962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 4.10.0-4.mga3
+ Revision: 338215
- fix file list after %%_libexecdir change

* Sat Nov 10 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 316837
- add patches from upstream
  * fix duplicated accelerators (xfce#5256)
  * fix wrong debug message (xfce#7547)

* Sat Jul 21 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 273063
- add patches from upstream git
  * implement NET_WM_MOVERESIZE_CANCEL message (xfce#8948)
  * fix crash in settings dialog with wrong title alignment value (xfce#9108)
  * fix active workspace deletion (xfce#8827)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248500
- new version 4.10.0
- disable oxygen default theme for now
- clean .spec

* Tue Feb 14 2012 fwang <fwang> 4.8.3-2.mga2
+ Revision: 208839
- fix dir
- use oxygen as default theme

* Sat Jan 14 2012 kamil <kamil> 4.8.3-1.mga2
+ Revision: 195881
- new version 4.8.3
- clean spec

* Sun Nov 20 2011 wally <wally> 4.8.2-2.mga2
+ Revision: 170010
- clean BRs and use pkgconfg style if possible
- clean/fix files section

* Sat Sep 24 2011 wally <wally> 4.8.2-1.mga2
+ Revision: 147309
- new version 4.8.2

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 53137
- drop old/unneeded scriptlets
- imported package xfwm4


* Wed Feb 02 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.1-1mdv2011.0
+ Revision: 635014
- update to new version 4.8.1

* Sun Jan 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1
+ Revision: 632413
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 629130
- update to new version 4.7.4

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 616366
- update to new version 4.7.3

* Thu Dec 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 605587
- update to new version 4.7.2
- bump minimum requirements on libxfce4ui to 4.7.5 version

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.1-1mdv2011.0
+ Revision: 593834
- update to new version 4.7.1

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-1mdv2011.0
+ Revision: 579389
- update to new version 4.7.0
- adjust buildrequires
- fix file list

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2011.0
+ Revision: 553896
- update to new version 4.6.2

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.1
+ Revision: 543223
- rebuild for mdv 2010.1

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368582
- update to new version 4.6.1

* Mon Apr 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-4mdv2009.1
+ Revision: 364408
- Patch6: Check fullscreen status against each monitor

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 364220
- Patch0: reduce repain timeout in the compositor
- Patch1: check for nil timestamp regardless of focus stealing prevention setting
- Patch2: reduce minimum timeout for focus delay in focus follow mouse
- Patch3: regrab the mouse on parent window
- Patch4: do not not fill over adjacent windows

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349264
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345703
- New upstream release

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333925
- update to new version 4.5.99.1

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329525
- update to new version 4.5.93
- add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303496
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)
- versionate buildrequires

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294524
- Xfce4.6 beta1 is landing on cooker
- drop all patches as they were merged by upstream
- tune up buildrequires
- fix file list

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 4.4.2-5mdv2009.0
+ Revision: 269799
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-4mdv2009.0
+ Revision: 209019
- reorder patches
- Patch1: filter ungrab events
- Patch2: exit on selectionclear
- Patch3: fix compositing overlay
- Patch4: fix automaximize on move

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-3mdv2009.0
+ Revision: 205606
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 189000
- Patch0: fix focus problems with avant-window-navigator
- remove COPYING file from docs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109994
- Remove unneeded patch
- New release 4.4.2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - use upstream tarball name as a real name
    - use upstream name

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-9mdv2008.0
+ Revision: 92282
- provide patch 4, which fixes upstream Xfce bug #3296

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-8mdv2008.0
+ Revision: 91888
- drop patch 1 because it does nothing :(

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 71392
- provide patch 3 (fix against gtk 2.11.x which kills keyboard/mouse events)
- some cleans
- SILET remove it

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-6mdv2008.0
+ Revision: 44314
- disable compiling of static files rather than deleting them

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-5mdv2008.0
+ Revision: 35021
- provide P2 (fix memory leak)
- update description
- provide patch0

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 32565
- use macros in %%post and %%postun
- drop Source1
- drop __libtoolize
- add configure options
- spec file clean

* Thu Apr 26 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.4.1-3mdv2008.0
+ Revision: 18426
- Oops, forgot to bump release in last commit.
- Added missing BuildRequires for libxcomposite-devel and
  libxdamage-devel when building with compositor.

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 18232
- Build with compositor by default

* Mon Apr 23 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 17695
- New release 4.4.1

